#Quotes-update-RelationController-items-view table.table.data tbody tr.rowlink:not(.nolink):hover td,
#Quotes-update-RelationController-items-view table.table.data tbody tr:not(.no-data).selected td {
    background: #fff !important;
    color: #000 !important;
}

#Quotes-update-RelationController-items-view table.table.data tbody tr:nth-child(even).rowlink:not(.nolink):hover td,
#Quotes-update-RelationController-items-view table.table.data tbody tr:nth-child(even):not(.no-data).selected td {
    background: #ecf0f1 !important;
    color: #000 !important;
}

.form-group .quote-example {
    min-height: 800px;
    max-width: 800px;
    margin: 0 auto;
    border: 1px solid rgba(0, 0, 0, .1);
    background-color: white;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .05);
    padding: 30px;
}

.form-group .quote-example .quote {
    width: 100% !important;
    min-height: 100vh;
    padding: 30px;
}

#Invoices-update-RelationController-items-view table.table.data tbody tr.rowlink:not(.nolink):hover td,
#Invoices-update-RelationController-items-view table.table.data tbody tr:not(.no-data).selected td {
    background: #fff !important;
    color: #000 !important;
}

#Invoices-update-RelationController-items-view table.table.data tbody tr:nth-child(even).rowlink:not(.nolink):hover td,
#Invoices-update-RelationController-items-view table.table.data tbody tr:nth-child(even):not(.no-data).selected td {
    background: #ecf0f1 !important;
    color: #000 !important;
}

.form-group .invoice-example {
    min-height: 800px;
    max-width: 800px;
    margin: 0 auto;
    border: 1px solid rgba(0, 0, 0, .1);
    background-color: white;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .05);
    padding: 30px;
}

.form-group .invoice-example .invoice {
    width: 100% !important;
    min-height: 100vh;
    padding: 30px;
}


/* Relation behavior */
.relation-behavior {
    margin-bottom: 20px;
}

.relation-behavior .control-list {
    border: 1px solid #eeeeee;
}

.relation-behavior .control-list thead > tr > th {
    border-top: none !important;
    border-color: #eeeeee;
}

.relation-behavior .control-list:last-child > table {
    margin-bottom: 0;
}

.relation-flush .control-list {
    border-top: none;
}

.relation-inset {
    margin-left: -20px;
    margin-right: -20px;
}

.relation-behavior.relation-view-multi,
.relation-behavior.relation-view-single {
    margin-bottom: 20px;
    border-radius: 4px;
    border: 1px solid #CFD7E1;
    background: white;
    overflow: hidden;
}
.relation-behavior.relation-view-multi .control-list,
.relation-behavior.relation-view-single .control-list {
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-top: 1px solid #d7e1eA;
    margin-bottom: 0;
}

.relation-behavior.relation-view-multi .control-list table.table.data,
.relation-behavior.relation-view-single .control-list table.table.data {
    border-bottom: none;
}

.relation-behavior.relation-view-single {
    background: transparent;
}

.relation-behavior.relation-view-single .relation-toolbar .control-toolbar {
    background: white;
    border-bottom: 1px solid #d7e1eA;
}

.relation-behavior.relation-view-single > .relation-manager {
    padding: 20px 20px 0 20px;
}

.recordfinder-search {
    padding: 5px 10px !important;
}

.control-scrollbar.vertical >.scrollbar-scrollbar:active .scrollbar-track, .control-scrollbar.vertical >.scrollbar-scrollbar:hover .scrollbar-track, .control-scrollbar.vertical >.scrollbar-scrollbar:active .scrollbar-thumb, .control-scrollbar.vertical >.scrollbar-scrollbar:hover .scrollbar-thumb {
    width: 6px;
}

.control-scrollbar.vertical >.scrollbar-scrollbar:active, .control-scrollbar.vertical >.scrollbar-scrollbar:hover {
    width: 6px;
}

.field-repeater {
    padding-top: 0 !important;
}

.field-repeater li.field-repeater-item {
    padding: 1em 0.5em !important
}

.field-repeater li.field-repeater-item .repeater-item-collapse {
    right: 20px !important;
    top: 4.5px !important;
}

.field-repeater li.field-repeater-item .field-repeater-form {
    padding: 15px 0;
}

.field-repeater > ul > li.field-repeater-item > .repeater-content {
    padding: 0 !important;
    margin-right: 35px !important;
}

.field-repeater .field-repeater-item.collapsed {
    padding: 0 !important;
}

.field-repeater > .field-repeater-builder > .field-repeater-toolbar, .field-repeater > .field-repeater-toolbar {
    width: 100%;
    height: 38px;
}

#BoxesEditor-boxes .field-repeater-toolbar {
    margin-bottom: 30px;
}

/* To prevent adding extra scrollbar */
#BoxesEditor-formBoxes-boxes {
    height: calc(100% - 20px);
}

.oc-boxes-editor--mode-single {
    margin-bottom: 0 !important;
}

#oc-boxes-box-placeholder, .oc-boxes-add-box {
    font-family: 'Inter', sans-serif;
}

.layout #wrapper>.aside>.aside-content>.aside-toolbar a {
    text-decoration: none;
}

.layout #wrapper>.aside>.aside-content>.aside-toolbar .logo {
    display: block;
}

.layout #wrapper>.aside>.aside-content>.aside-toolbar .logo .logo-icon {
    position: absolute;
    top: 11px;
    left: 11px;
	box-shadow: 0 0 2px 2px rgba(0,0,0,0.45);
    width: 40px;
    min-width: 40px;
    height: 40px;
    line-height: 40px;
    background-size: 85% 85%;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
}

.layout #wrapper>.aside>.aside-content>.aside-toolbar .logo .logo-text {
    display: block;
    margin-left: 55px;
    font-size: 2rem !important;
	color: #f3f3f3;
    line-height: 2rem !important;
    letter-spacing: 1px;
    font-weight: 500;
    text-shadow: 0 0 4px rgba(0, 0, 0, 0.9), 0 0 4px rgba(0, 0, 0, 0.9);
}

.list-tree-level-0 .list-tree i.icon-square-o {
    display: none !important;
}

.nav >li >a {
    padding: 13px 15px;
    text-decoration: none !important;
}

.nav >li {
    display: list-item;
}

#Form-secondaryTabs .tab-pane {
    min-width: 300px !important;
    max-width: 300px !important;
}

.control-toolbar .dropdown-toggle:after {
    display: none;
}

.dropdown-container ul {
    max-height: 70vh;
    overflow-y: auto;
}

.modal-footer .btn {
    min-width: 45px !important;
    min-height: 36px !important;
}

.list-checkbox, table.table.data tbody td.list-checkbox, table.table.data thead th.list-checkbox {
    vertical-align: middle !important;
    width: 48px;
    min-width: 48px;
    max-width: 48px;
    text-align: center !important;
    padding: 0 !important;

    & .form-check-input {
        transform: translateY(8%);
    }
}

.elevation {
    background-color: #fff;
    display: block !important;
}

.layout >.layout-row.elevation {
    height: 100%;
	background-color: rgba(255, 255, 255, 0.90);
}

.list-widget table, .calendar-container {
	background-color: #fff;
}

tr.no-data {
    position: relative !important;
    width: 100%;
    height: 350px;
}

tr.no-data p.no-data::before {
    content: '';
    height: 130px;
    display: block;
    background-image: url(../images/placeholders/no-results.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    margin-bottom: 30px;
}

tr.no-data p.no-data {
    margin-left: auto;
    margin-right: auto;
	font-size: 20px;
    color: rgba(var(--color-font-dark), .65);
    opacity: 1;
}

.list-widget table > thead > tr > th:last-child {
    border-right: 1px solid rgba(229, 229, 229, 1) !important;
}

.toolbar-items div[data-control=toolbar] {
    display: table-cell;
    vertical-align: middle;
}

.field-markdowneditor.stretch .editor-toolbar {
    padding: 0 !important;
}

.field-markdowneditor.stretch .editor-write {
    height: 400px !important;
}

.field-markdowneditor.is-fullscreen {
    z-index: 1021 !important;
}

.field-markdowneditor.is-fullscreen .editor-write {
    height: 100% !important;
}

.toolbar-item button[data-button-code="fullscreen"] {
    box-shadow: none !important;
    background-color: transparent !important;
}

.toolbar-item button[data-button-code="fullscreen"]:hover {
    background-color: #d6d6d6 !important;
}

.control-list {
    margin-bottom: 0;
}

.repeater-content .form-tabless-fields:not(#Form-outsideTabs) {
    padding: 0 !important;
}

.small-col, .small-col ~ .small-col ~ .small-col ~ .small-col ~ .small-col, .small-col ~ .small-col ~ .small-col ~ .small-col ~ .small-col {
    width: 25%;
    float: left;
    padding-right: 20px;
    padding-left: 0;
}

.small-col:not(:empty) ~ .small-col:not(:empty) ~ .small-col:not(:empty), .small-col:not(:empty) ~ .small-col:not(:empty) ~ .small-col:not(:empty) ~ .small-col:not(:empty) {
    float: right;
    padding-right: 0;
    padding-left: 20px;
}

.layout >.layout-cell.layout-container, .layout >.layout-cell .layout-container, .layout >.layout-cell.padded-container, .layout >.layout-cell .padded-container {
    padding: 0 !important;
}

.custom-switch {
	margin-top: 33px;
}

.help-block {
    margin-bottom: 5px;
	right: 20px !important;
	display: none;
}

.oc-logo-transparent {
    background-size: 50% auto;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    position: relative;
}

.control-filter >.filter-scope:hover, .control-filter >*[class^="filter-scope-"]:hover, .repeater-item-collapse a {
    text-decoration: none !important;
}

.repeater-item-collapse i {
    color: #000 !important;
}

.filter-search-input {
    padding-left: 10px;
}

select[name="records_per_page"] + .select2 {
    width: 100% !important;
}

.modal-body .input-group .select2, .modal-body .input-group .button-right button {
    height: 36px !important;
}

.line-chart {
	padding-bottom: 10px;
}

.w-350 {
    width: 300px !important;
}

.checkbox .help-block {
    position: relative;
    margin-top: 0;
    margin-bottom: 10px !important;
}

.relation-behavior .control-toolbar .toolbar-item .form-control.search {
    padding: 5px 10px !important;
}

.relation-behavior .control-toolbar .toolbar-item .form-control.search::placeholder {
    color: #aaa;
    opacity: 1;
}

.relation-behavior .control-toolbar .toolbar-item .form-control.search:-ms-input-placeholder {
    color: #aaa;
}

.relation-behavior .control-toolbar .toolbar-item .form-control.search::-ms-input-placeholder {
    color: #aaa;
}

.relation-behavior .control-list .table thead > tr > th {
    border-top: 1px solid rgba(229, 229, 229, 1) !important;
}

.form-elements:after, .form-elements:before, .form-tabless-fields:after, .form-tabless-fields:before {
    display: none !important;
}

.custom-switch {
    width: 65px !important;
}

.component-backend-modal .modal-content {
    width: 600px;
}

form .modal-body {
    max-height: 80vh;
    min-height: 50px;
}

.modal-body .repeater-content .tab-content {
    height: auto !important;
}

.modal-body .repeater-content .secondary-tabs {
    background-color: transparent;
}

.component-backend-modal {
    z-index: 1100 !important;
}

.modal-body > .form-widget > .layout-row:nth-child(2) {
    flex: 0 0 290px;
}

.modal-footer .btn + .btn {
    margin-right: 5px;
}

.nav.selector-group li.active a {
    text-decoration: none !important;
}
.nav.selector-group li a:hover {
    color: #2b3e50 !important;
}

div[data-control="media-manager"] table.table div.item-title a {
    text-decoration: none !important;
}

div[data-control="media-manager"] .upload-progress {
    width: 100% !important;
    background-color: #fff !important;
}

div[data-control="media-manager"] .upload-progress .progress-controls .controls a {
    text-decoration: none !important;
}

.modal-content > [id^="Form-relation"] {
    display: flex;
}

.modal-content > [id^="Form-relation"]  .secondary-tabs .tab-content {
	display: table-row !important;
}

.modal-content form {
    display: flex;
    flex-direction: column !important;
    width: 100% !important;
}

.modal-content .w-50 {
    width: 100px !important;
}

.modal-content .secondary-tabs {
    background: rgba(var(--color-light-200), 1);
}

.modal-content form .modal-body {
    overflow-y: auto;
    overflow-x: hidden;
}

.control-scrollbar {
    overflow-y: auto;
}

/* Replaced by normal scrollbar, because in some occasions the scrollbar didn't show */
.control-scrollbar > .scrollbar-scrollbar {
    display: none !important;
}

div.panel.border-left {border-left:1px solid #e8eaeb !important; }
div.panel.border-right {border-right:1px solid #e8eaeb !important; }
div.panel.border-bottom {border-bottom:1px solid #e8eaeb !important; }
div.panel.border-top {border-top:1px solid #e8eaeb !important; }

.field-fileupload.style-file-single .upload-object .meta {
    right: 20px !important;
}

.secondary-tabs {
    width: 100% !important;
}

.secondary-tabs .field-repeater .field-repeater-add-item:hover, .secondary-tabs .field-repeater .field-repeater-add-item:focus {
    color: #797979;
}

#dashboard-container {
    & .dashboard-selector {
        margin-top: 0 !important;
    }

    & .dashboard-report-widget {
        & .widget-inner-container {
            border: 1px solid rgb(0, 0, 0, .1);
            & .widget-title {
                margin: 15px 20px;
            }

            & .report-widget-divider {
                margin: 0 !important;
                border-top: 1px solid rgb(0, 0, 0, .1);
                opacity: 1;
            }

            & .report-widget {
                border-radius: 0;
            }

            & .report-widget .iframe-container {
                padding-bottom: 0 !important;
            }

            & .report-widget.todo-list {
                padding-top: 10px;

                & h4 {
                    padding: 5px 20px 0;
                    margin-bottom: 0;
                    font-size: 18px;
                    font-weight: 500;

                    & > i {
                        margin-right: 4px;
                        display: inline-block;
                        transform: scale(0.8);
                    }
                }

                & .control-status-list {
                    padding: 0 6px;
                }

                & hr {
                    border-top: 1px solid rgba(0, 0, 0, .3);
                    margin: 10px 0;
                }
            }
        }
    }
}

.field-recordfinder .btn.clear-record {
    right: 44px;
    margin-top: -44px;
}

.recordfinder-popup input {
    border: 1px solid #cbcbcb;
    padding: 10px;
}

.scoreboard {
    background: rgba(var(--color-light-200), 1) !important;
    padding: 20px !important;
    align-items: center;
    display: flex;
    column-gap: 10px;

    & > h4 {
        margin-bottom: 0 !important;
    }

    & > .form-group {
        padding-top: 0;
        padding-bottom: 0;
    }

    & > div {
        column-gap: 14px;
        margin: 0 !important;
    }

    & .scoreboard-item {
        margin: 0 !important;
        padding: 14px;
        border-radius: 8px;
        border: 1px solid var(--oc-primary-border);
        background: rgba(255, 255, 255, 1) !important;
    }
}

content:has(breadcrumbs) .scoreboard {
    border-top: 1px solid rgba(var(--color-light-400), 1);
}

.control-chart div.canvas {
    margin-bottom: 0;
}

.nested-form.panel-styles {
    padding: 0.3em 0.5em 0 0.5em !important;
}

.field-section .help-block, .modal-body > .help-block {
	display: block !important;
}

.input-with-icon.right-align input.form-control {
    padding-right: 32px !important;
}

.pika-week {
    background-color: #eaeaea;
    text-align: center;
    font-weight: bold;
}

.form-control.growable {
    width: 100px !important;
}

#ReportContainer-container-toolbar {
    padding: 5px 0;
}

.report-container {
    margin-bottom: 0 !important;
}

.report-container > ul .item .report-widget {
    border-radius: 0;
    border: 1px solid #ddd;
    min-height: 270px;
    padding: 10px !important;
}

.report-container > ul .item .content .widget-control.close-widget {
    display: none;
}

.report-container > ul .report-widget h3 {
    padding-top: 2px;
    padding-left: 2px;
}

#ReportContainer-container-toolbar {
    display: none;
}

.report-container > ul {
    margin-bottom: 0;
}

.control-status-list > ul li {
    margin: 0 5px;
    padding: 7px 10px 6px;
}

.report-container h4 {
    font-weight: 500;
    font-size: 15px;
    padding: 0 0 4px 0;
}

.report-container h4 i {
    margin-right: 5px;
}

.report-container .report-widget {
    overflow-y: hidden !important;
}

.report-container .report-widget .list-container {
    position: relative;
    overflow-y: scroll;
    overflow-x: hidden;
    height: 490px;
}

.report-container .todo-list .control-status-list:last-child {
    margin-bottom: 6px;
}

.control-popover {
    z-index: 1100 !important;
}

.report-container > ul .item:hover .report-widget h3, .report-container > ul .item.dragged .report-widget h3 {
    padding-left: 22px !important;
}

.report-container > ul.add-delete .item .content .edit-widget {
    right: 10px !important;
    text-decoration: none;
}

#updateContainer, #executePopup {
    width: 600px;
    max-width: 100%;
}

.form-group.span-right, .form-group.span-left {
	width: 50%;
}

table.table.data thead th.list-setup {
    /* Must be fixed, to always show the list setup at the right corner */
    position: fixed;
    right: 10px;
    border-bottom: none !important;
    z-index: 999;
    width: auto !important;
}

table.table.data thead th {
    position: relative;
    border: none !important;
    border-collapse: collapse;
    border-left: 1px solid rgba(229, 229, 229, 1) !important;

    &:not(:has(span, a)) {
        padding: 10px 15px;
    }
}

table.table.data thead th:not(.list-setup):before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    display: block;
    border-top: 1px solid rgba(229, 229, 229, 1) !important;
}

table.table.data thead th:not(.list-setup):after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    display: block;
    border-top: 1px solid rgba(229, 229, 229, 1) !important;
}

table.table.data th.list-reorder {
    width: 20px !important;
    min-width: 0 !important;
    border-right: none !important;
}

table.table.data td.list-reorder span.list-reorder-handle {
    margin-left: 10px;
    z-index: 1;
}

.control-list {
    margin-left: -2px;
}

.relation-behavior table.table.data thead th.list-setup {
    position: absolute;
    margin-top: -40px !important;
    right: 0;
    margin-right: 10px;
}

table.table.data thead th.list-setup a {
    margin-top: 2px;
}

table.table.data tbody .list-setup {
	display: none;
}

.form-group:not(form[data-request="reportContainer::onAddWidget"] .form-group) {
    float: left;
}

#relationManagePopup .list-flush, #relationManagePivotPopup .list-flush {
    overflow-y: auto;
    min-height: 205px;
    max-height: calc(100vh - 190px);
}

#relationManagePopup .list-flush .list-widget, #relationManagePivotPopup .list-flush .list-widget {
    height: auto;
}

#relationManagePivotPopup .list-flush {
    margin: -70px 0 0 2px;
}

.control-filter {
    padding: 6px 10px !important;
    z-index: 60 !important;
    border-bottom: none !important;
    flex-shrink: 0;

    &:has(.dropdown:only-child) {
        display: none !important;
    }
}

.control-filter>.filter-scope.checkbox label {
    margin-right: 0 !important;
}

.control-filter>.filter-scope,
.control-filter>.filter-has-popover,
.list-widget-container>.control-filter>.filter-group>.filter-scope {
    padding: 5px !important;
}

.control-filter>.filter-scope.checkbox {
    padding-left: 25px !important;
}

.list-widget-container>.control-filter>.filter-group>.filter-scope.scope-dropdown {
    padding: 3px 0 0 0 !important;
}

.list-widget-container>.control-filter>.filter-group>.filter-scope.scope-dropdown,
.list-widget-container>.control-filter>.filter-group>.filter-scope.scope-dropdown .select2 {
    height: 31px !important;
}

.list-widget-container>.control-filter>.filter-group>a.filter-scope:hover {
    text-decoration: none !important;
}

@media (max-width: 991px) {
	.control-filter >.filter-scope {
		padding: 5px !important;
	}

	button[data-request="onResetDefault"], button[data-request="onModalEditDuplicate"], button[data-request="list::onResetSetup"] {
		display: none;
	}

    .modal-body > .form-widget > .layout-row:nth-child(1) {
        max-width: initial !important;
    }

    .modal-body > .form-widget > .layout-row:nth-child(2) {
        display: none !important;
    }
}

.oc-logo-white {
    height: 150px !important;
}

.find-more-themes {
    display: none !important;
}

.create-new-theme {
    display: none !important;
}

#theme-list .links {
    display: none !important;
}

.backup-modal-body {
    padding-top: 20px;
}

input[name="scopeName"][value="date"] + #controlFilterPopover .filter-buttons {
    display: none;
}

.sidebar-button {
    width: 325px !important;
    display: block !important;
}

.invisible {
    width: 0 !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}

body.slim-container div.scoreboard {
    padding: 0 !important;
}

.compact-toolbar div.control-toolbar input.form-control {
    width: 270px !important;
}

i[class^="mdi-"], i[class*=" mdi-"] {
    font-family: "Material Design Icons" !important;
    font-style: normal !important;
}

#Form-field-Task-logbook-group .field-repeater-add-item, #Form-field-Task-logbook-group .repeater-item-remove {
    display: none;
}

.context-menu-icon-icon:before {
    font-family: octo-icon !important;
}

.no-padding {
    padding: 0 !important;
}

.no-padding-left {
    padding-left: 0 !important;
}

.no-padding-right {
    padding-right: 0 !important;
}

.no-padding-top {
    padding-top: 0 !important;
}

.no-padding-bottom {
    padding-bottom: 0 !important;
}

.list-widget .table tbody {
	margin-top: 40px;
}

table.table {
    width: 100% !important;
    min-width: 100% !important;
}

table.table.data tbody td, table.table.data tbody th {
	border-top: 1px solid #fff !important;
    padding: 10px 15px !important;
}

body.dropdown-open .dropdown-overlay {
	display: none !important;
}

#importColumnMatcher .form-group {
    width: 100%;
}

.sb-icon-close {
	display: none;
}
.center {
    font-size: 20px !important;
    padding-top: 6px;
}

.tableFloatingHeaderOriginal {
	z-index: 487 !important;
}

#reorderTreeList {
	padding: 15px;
}

.control-list.list-checkboxes table.table.data td.list-reorder span.list-reorder-handle {
    z-index: 1;
}

.filter-scope-clear {
	margin-top: 1px;
    padding: 0.3rem 1rem !important;
}

table .long, table .long a {
    width: 300px !important;
}

.relation-manager .list-footer, .modal .list-footer {
    position: relative !important;
    width: 100% !important;
    left: 0 !important;
    right: 0 !important;
}

.text-align-center > input {
	text-align: center;
}

table.table.data tbody tr.rowlink {
	outline: none !important;
}

.line-chart .control-chart {
    margin-bottom: 50px;
}

.line-chart .legend > div {
    display: none;
}

.line-chart .legend > table {
    margin-top: 170px;
    width: 100%;
    right: 10px;
    left: 10px;
}

.line-chart .legend > table .legendLabel {
    color: #666;
}

.line-chart .legend > table .legendColorBox > div {
    border: 0 !important;
}

.control-chart div.chart-legend {
    height: auto !important;
}

.form-group-preview .custom-switch > span {
    background-color: #c98d8d;
}

.form-group-preview .custom-switch input:checked ~ span {
    background-color: #9bbb78;
}

.report-container #ReportContainer-container-toolbar {
    display: block !important;
}

.report-container > ul {
    margin-bottom: 0 !important;
}

.report-container .manage-widgets {
    text-decoration: none !important;
}

.report-container > ul .item .content .widget-control.close-widget {
    display: none !important;
}

.report-container > ul .item:hover .content .widget-control.close-widget {
    display: block !important;
}

.report-container > ul.add-delete .item .content .edit-widget {
    right: 30px !important;
    top: 14px !important;
}

.control-popup form[data-request="reportContainer::onAddWidget"] {
    width: 500px;
    max-width: 100%;
}

.pulse {
    animation: pulse 2s linear infinite;
}

.bell-ring {
    animation: bell-ring 2s linear infinite;
}

@keyframes pulse {
    50% {
        opacity: 0.5;
    }
}

@keyframes bord-pop {
    0% {
        transform: translate(-50%, -50%);
    }

    50% {
        transform: translate(-50%, -50%) scale(1.9);
        opacity: 0.2;

    }

    100% {
        transform: translate(-50%, -50%) scale(1.9);
        opacity: 0;
    }
}

@keyframes bell-ring {
    0% {
        transform: scale(1);
    }

    10% {
        transform: scale(1.4);
    }

    5%, 15% {
        transform: rotate(25deg);
    }

    10%, 20% {
        transform: rotate(-25deg);
    }

    25%  {
        transform: rotate(0deg);
    }

    75% {
        transform: scale(1);
    }

    100% {
        transform: rotate(0deg) scale(1);
    }
}

:root, [data-bs-theme="light"], .table {
    --bs-primary: rgba(33, 37, 41, 1) !important;
    --bs-secondary: rgba(56, 59, 63, 1) !important;
    --bs-secondary-color: rgba(56, 59, 63, 1) !important;
    --bs-border-color: rgba(229, 229, 229, 1) !important;
    --bs-tertiary-bg: rgba(245, 245, 245, 1) !important;
    --bs-table-striped-bg: rgba(245, 245, 245, 0.5) !important;
    --bs-table-border-color: rgba(229, 229, 229, 1) !important;

    --oc-tab-color: rgba(0, 0, 0, .5) !important;
    --oc-tab-border: rgba(0, 0, 0, .1) !important;
    --oc-tab-hover-bg: rgba(0, 0, 0, .07) !important;

    --oc-primary-hover-bg: rgba(0, 0, 0, .1) !important;
    --oc-primary-active-bg: rgba(0, 0, 0, .1) !important;

    --oc-selection-rgb: 208, 160, 82 !important;
    --oc-selection-text: rgba(224, 173, 89, 1) !important;
    --oc-selection: rgba(224, 173, 89, 1) !important;

    --oc-settings-color: rgba(33, 37, 41, 1) !important;
    --oc-settings-bg: rgba(245, 245, 245, 1) !important;
    --oc-settings-active-bg: rgba(224, 173, 89, 1) !important;
    --oc-settings-active-color: rgba(9, 9, 11, 1) !important;
    --oc-settings-hover-bg: rgba(0, 0, 0, .1) !important;

    --oc-dropdown-hover-bg: rgba(0, 0, 0, .1) !important;
    --oc-dropdown-hover-color: rgba(33, 37, 41, 1) !important;
    --oc-dropdown-active-bg: rgba(0, 0, 0, .2) !important;

    --oc-content-tab-content-bg: rgba(245, 245, 245, 1) !important;

    --oc-toolbar-border: rgba(0, 0, 0, .2) !important;
    --oc-toolbar-hover-bg: rgba(0, 0, 0, .1) !important;
}

.responsive-sidebar-toolbar {
    background-color: var( --bs-tertiary-bg) !important;
}

.list-widget-container>.control-filter {
    background-color: rgba(245, 245, 245, 1) !important;
}

.control-chart div.chart-legend table tr td i {
    border-radius: 100%;
}

#hours_check_table_wrapper thead tr th {
    background-color: rgba(245, 245, 245, 1) !important;
}

div.dt-processing>div:last-child>div {
    background-color: rgba(224, 173, 89, 1) !important;
}

.alert {
    box-shadow: none !important;
    border-radius: 5px;
}

.custom-description-card {
    border: 1px dashed #ccc;
    background-color: #ffeacc;
    padding: 5px;
}

#Form-secondaryContainer .btn-group {
    padding-left: 2px;
    padding-right: 2px;
    box-shadow: none;
    width: 100%;
}

.relation-manager .table {
    margin-bottom: 0 !important;
}

/* Sorting */
html:not(.mac) body > canvas {
    display: none;
}

html.mac body > canvas {
    position: absolute;
}

.control-list .table tbody > tr td.list-reorder + td, .control-list .table thead > tr th.list-reorder + th {
    border-left: none !important;
}

.control-list.list-checkboxes table.table.data td.list-reorder, .control-list.list-checkboxes table.table.data th.list-reorder {
    min-width: 0 !important;
    width: 0 !important;
    padding: 0 !important;
}

table.table.data thead td.explicit-left-padding>span, table.table.data thead th.explicit-left-padding>span {
    padding-left: 15px !important;
}

table.table.data thead th {
    overflow: visible !important;
}

table.table th:not(.list-checkbox) .resizer {
    position: absolute;
    top: 1px;
    right: -2px;
    width: 3px;
    cursor: col-resize;
    user-select: none;
    height: 39px;
    z-index: 15;

    &:hover {
        background-color: rgba(0,0,0, 1);
    }
}

table.table th:not(.list-checkbox):last-child .resizer {
    display: none;
}

table.table th:not(.list-checkbox) .resizing {
    background-color: rgba(0,0,0, 1);
}

/* Always disable load cursor */
body.loading, body.loading * {
    cursor: auto!important;
}

.field-horizontalrule hr {
    border-top: none !important;
}

.list-cell-type-selectfield .select2 {
    display: block !important;
    max-width: 100% !important;
}

.list-cell-type-selectfield .input-group .select2 {
    max-width: calc(100% - 50px) !important;
}

.list-cell-type-partial .table.table.data thead,
.list-cell-type-partial .table.table.data tbody tr th {
    z-index: 0 !important;
}

.field-fileupload.is-image .upload-object.upload-object-image .icon-container img {
    width: 100%;
    height: 100%;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number]{
    -moz-appearance: textfield;
}

.report-widget .chart-legend {
    margin-top: 10px;
    text-align: center !important;
}

.report-widget .list-content {
    overflow-y: hidden !important;
}

/* Always disable old flash messages */
.oc-flash-message {
    display: none !important;
}

table.table.data .list-colorpicker {
    display: block;
    margin: 0 auto;
}

.invisible-with-wide {
    visibility: hidden !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    width: 100% !important;
}

.popup-padding {
    padding: 15px !important;
}

table.table.data tbody tr.rowlink.entry-ininvoice td {
    background-color: #f5f5f5 !important;
}

table.table.data tbody tr.rowlink td.list-cell-type-partial table thead th,
table.table.data tbody tr.rowlink td.list-cell-type-partial table tbody td,
table.table.data tbody:not(.tree-drag-mode) tr.rowlink:hover td.list-cell-type-partial table thead th,
table.table.data tbody:not(.tree-drag-mode) tr.rowlink:hover td.list-cell-type-partial table tbody td,
table.table.data tbody tr.rowlink:hover td.list-cell-type-partial table thead th,
table.table.data tbody tr.rowlink:hover td.list-cell-type-partial table tbody td,
.list-cell-type-partial table thead th, .list-cell-type-partial table tbody td {
    background-color: #fff !important;
}

.relation-behavior.relation-view-single>.relation-manager {
    padding: 0 !important;
}

.important-comment .form-text .icon {
    color: #e1b810 !important;
    font-weight: bold !important;
}


/* Editor customizations */

/* Make the editor background in line with the rest of the page */
:root {
    --bs-body-bg: #ffffff !important;
}

/* Bottom offset header toolbar */
.oc-boxes-editor__toolbar {
    padding-bottom: 10px;
}

/* Hide pin/unpin */
.oc-boxes-editor__toolbar ul.justify-end li:first-child {
    display: none !important;
}

/* Size icons in toolbar */
.oc-boxes-editor__toolbar ul a {
    height: 30px !important;
}

.is-inline {
    float: right;
}

@keyframes oc-rotate-loader {
    0%    { transform: rotate(0deg); }
    100%  { transform: rotate(360deg); }
}

table.table.data thead td.explicit-left-padding>a, table.table.data thead td.explicit-left-padding>span, table.table.data thead th.explicit-left-padding>a, table.table.data thead th.explicit-left-padding>span {
    padding-left: 15px !important;
}

.field-datepicker .col-md-7 {
    padding-right: 5px;
}

.field-datepicker .col-md-5 {
    padding-left: 5px;
}

table.table.data tbody td.list-cell-tree {
    overflow: visible !important;
}

table.table.data tbody td.list-cell-tree a.tree-expand-collapse.is-expanded span:after {
    left: calc(100% - 18px) !important;
}

table.table.data tbody td.list-cell-tree a.tree-expand-collapse {
    border: 1px solid rgba(229, 229, 229, 1);
    border-radius: 50%;
    margin-left: -28px;
    background-color: #fff;
}

table.table.data td.list-cell-tree a.tree-expand-collapse>span:after {
    color: rgba(229, 229, 229, 1);
}

.list-reorder .list-reorder-handle {
    border: 1px solid rgba(229, 229, 229, 1);
    margin-left: 0 !important;
}

table.table.data tbody td.list-cell-tree a.tree-expand-collapse + span.list-reorder-handle {
    margin-left: 25px !important;
}

.modal-dialog .list-widget table.table.data .list-setup {
    position: absolute !important;
    top: 0 !important;
    right: 0 !important;
    width: auto !important;
    background-color: transparent !important;
}

.modal-dialog .list-widget table.table.data .list-setup a {
    padding: 7px 10px !important;
}

.force-right {
    float: right !important;
}

.layout.layout-vertical>main #wrapper>aside {
    z-index: 488 !important;
}

.layout.layout-vertical>main #toolbar, .layout.layout-vertical>main #footer {
    z-index: 487 !important;
}

.control-status-list {
    padding-top: 6px;
}

table.table.data .list-cell-type-relationfield table thead {
    z-index: 1 !important;
}

table.table.data tbody tr.strike td .dropdown a {
    text-decoration: none !important;
}

table.table.data tbody tr.negative td .dropdown a {
    color: var(--bs-body-color) !important;
}

table.table.data tr.edit-mode-row td {
    max-width: fit-content;
}

table.table.data tr.edit-mode-row td .select2 {
    max-width: 250px;
}

.tab-pane .tab-content {
    height: 100% !important;
}

table.table.data thead td, table.table.data thead th {
    font-weight: normal !important;
}

.btn-icon-only {
    padding: 0 12px !important;
}

.pull-right {
    margin-left: auto !important;
}

.list-setup .select2 {
    margin-top: 1px;
}

.modal-footer button {
    vertical-align: middle;
}

tr.alert-primary {
    background-color: #d8d9dc !important;
}

tr.alert-secondary {
    background-color: #d3eafd !important;
}

tr.alert-success {
    background-color: #dbefdc !important;
}

tr.alert-info {
    background-color: #cceae7 !important;
}

tr.alert-warning {
    background-color: #ffeacc !important;
}

tr.alert-danger {
    background-color: #fdd9d7 !important;
}

.alert-light {
    background-color: #fefefe !important;
}

.alert-dark {
    background-color: #d6d8d9 !important;
}

.ph:before {
    font-family: 'Phosphor' !important;
}

th span i.icon-info-circle {
    margin-left: 3px;
}

.control-notification {
    display: flex;
    align-items: center;
    min-height: 30px;
    background-color: rgba(var(--color-warning), .2);
    color: rgba(var(--color-font-dark), 1);
    margin-bottom: 0;
    border-radius: 0;
    gap: 10px;
    padding: 10px;

    &.alert-info {
        background-color: rgba(var(--color-info), .2);
        color: rgba(var(--color-font-dark), 1);
    }

    &.alert-warning {
        background-color: rgba(var(--color-warning), .2);
        color: rgba(var(--color-font-dark), 1);
    }
}

.control-notification + .control-notification {
    border-top: 1px solid rgba(0, 0, 0, .1);
}

.control-notification .notification-right {
    align-items: center;
    height: fit-content;
}

.control-notification .notification-contents {
    flex: 1;
}

@media (min-width: 768px) {
    .col-md-6.form-group.partial-field {
        max-width: 50% !important;
    }
}

.btn i {
    margin-right: 0 !important;
    top: 0 !important;
}

form .layout-row .padded-container .repeater-content .layout-row {
    width: 100% !important;
    display: block !important; /* Should be table-row for extra users form, should be flex for quote items form, however bug not reproducible. */
}

.field-repeater>.field-repeater-builder>.field-repeater-toolbar>button,
.field-repeater>.field-repeater-toolbar>button {
    background: transparent;
    border: none;
    color: var(--oc-dropdown-trigger-color);
    display: block;
    font-size: 14px;
    font-weight: 400;
    padding: 7px 15px;
    text-align: center;
    text-decoration: none;
    width: 100%;
}

.field-repeater>.field-repeater-builder>.field-repeater-toolbar:focus>button,
.field-repeater>.field-repeater-builder>.field-repeater-toolbar:focus>button>i,
.field-repeater>.field-repeater-builder>.field-repeater-toolbar:hover>button,
.field-repeater>.field-repeater-builder>.field-repeater-toolbar:hover>button>i,
.field-repeater>.field-repeater-toolbar:focus>button,
.field-repeater>.field-repeater-toolbar:focus>button>i,
.field-repeater>.field-repeater-toolbar:hover>button,
.field-repeater>.field-repeater-toolbar:hover>button>i {
    color: var(--oc-dropdown-hover-color);
}

.list-group-item.active {
    z-index: 2;
    color: #000000;
    background-color: #F3F4F5;
    border-color: #3C4252;
}

table.table.data .list-selectable img {
    vertical-align: middle;
    max-height: 15px;
}

table.table.data .list-selectable i[class=""] {
    display: none;
}

table.table.data .list-selectable img[src$="."] {
    display: none;
}

.status-indicator {
    border: 2px solid rgba(255, 255, 255, 1);
    width: 12px !important;
    height: 12px !important;
}

/* Make sure context menu is on top of header toolbar and modals */
.context-menu-list {
    z-index: 1051 !important;
}

table.dataTable thead th:first-child {
    padding-left: 0 !important;
}

.secondary-tabs .field-fileupload.is_single {
    width: 275px;
}

.dashboard-widget-loading-pulse {
    padding: 5px;
}

table.table.data thead th.list-setup a {
    margin-top: 0;
}

.list-widget-container>.list-widget table.table.data thead th.list-setup {
    border: none !important;
    overflow-x: visible !important;
    overflow-y: visible !important;
}

div[data-control="formwidget"] {
    margin-bottom: 0 !important;
}

.modal-content #relationManagePopup .list-flush th.list-setup {
    position: inherit;
}

.field-repeater-item.collapsed .repeater-item-checkbox .form-check-input {
    left: 0 !important;
    top: 1px !important;
}

.repeater-item-checkbox .form-check-label {
    min-height: 0 !important;
    min-width: 0 !important;
}

.table.table.data tbody td {
    border-top: 1px solid rgba(229, 229, 229, 1) !important;
    border-left: 1px solid rgba(229, 229, 229, 1) !important;
    overflow-x: hidden !important;
}

.table.table.data tbody td.list-reorder {
    overflow-x: visible !important;
}

.table.table.data > tbody > tr:first-child > td {
    border-top: none !important;
}

table.table.data .list-checkbox {
    border-right: 1px solid transparent !important;
}

.relation-manager table.table.data thead th:first-child, .relation-manager table.table.data tbody td:first-child {
    border-left: none !important;
}

.relation-manager table.table.data thead th:last-child, .relation-manager table.table.data tbody td:last-child {
    border-right: none !important;
}

.relation-behavior.relation-view-multi .control-list table.table.data, .relation-behavior.relation-view-single .control-list table.table.data {
    margin-bottom: 0 !important;
}

.control-filter-popover .filter-search {
    min-width: 250px;

    &.search-input-container > input {
        border-width: 0 !important;
        border-bottom-width: 1px !important;
        border-radius: 10px 10px 0 0 !important;

        &:focus {
            border-color: rgba(0,0,0,.10) !important;
        }
    }
}

.field-fileupload .upload-object {
    border-bottom: 1px solid #CFD7E1;
}

.field-fileupload .upload-object .file-data-container {
    margin-bottom: 4px;
}

.uploader-control-toolbar {
    display: flex;
    justify-content: space-around;
    flex-flow: row nowrap;
    align-items: stretch;
    align-content: stretch;
}

a.backend-toolbar-button.control-button, button.backend-toolbar-button.control-button, .field-fileupload.is-populated .uploader-control-toolbar .backend-toolbar-button.populated-only {
    flex-grow: 1;
    margin-right: 0;
    height: 30px;
}

.control-list table.table.data .list-setup a {
    margin-left: -3px;
    margin-top: 2px;
    width: 40px !important;
}

.control-list table.table.data .list-setup a:hover:before {
    color: rgb(33 150 243) !important;
}

.control-list table.table.data .list-setup a>span {
    background: #f7f9fb;
}

.recordfinder-search {
    padding: 15px;
    border-top: 1px solid #d7dbdd !important;
    box-shadow: none !important;
    background-color: #f1f8ff;
}

.field-fileupload .upload-object.upload-object-file h4 p.size {
    display: none !important;
}

.relation-manager {
    padding-top: 0;
}

.list-scrollable-container.scroll-before:before, .list-scrollable-container.scroll-after:after {
    border-top: 1px solid #d7e1eA;
}

.control-popup .form-preview {
    margin-bottom: 0 !important;
}

.relation-behavior .control-list .table thead>tr>th {
    border-top: none !important;
}

.table.table.data thead th:not(.list-setup):not(.list-checkbox)>a,
.table.table.data thead th:not(.list-setup):not(.list-checkbox)>span {
    min-width: 100% !important;
    width: 100% !important;
}

.field-repeater.repeater-mode-accordion.is-singular > ul > li.field-repeater-item:not(.collapsed) > .repeater-header .repeater-item-checkbox .checkbox {
    top: 0 !important;
    margin-left: 0 !important;
    padding-left: 0 !important;
}

.field-repeater > ul > li.field-repeater-item > .repeater-content .form-group:not(.force-right) {
    float: left !important;
}

[class*=" flag-"], [class^=flag-] {
    width: 1.3333333em !important;
}

table.table.data .list-checkbox {
    border-right: 1px solid rgba(229, 229, 229, 1) !important;
}

table.table.data thead .list-checkbox .storm-icon-pseudo {
    opacity: 0;
}

.storm-icon {
    background-image: url(../../modules/backend/assets/foundation/migrate/images/storm-icons.png);
}

@media (min-width: 576px) {
    .modal-dialog {
        margin: 22px auto;
    }
}

.modal-content .form-preview .layout-row {
    width: 100%;
}

.modal-dialog.size-small {
    max-width: 500px !important;
}

.control-list table.table.data .list-setup a {
    padding: 7px 15px !important;
}

.relation-manager .control-filter {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.relation-manager thead {
    border-bottom: 1px solid #d7e1ea !important;
}

#relationManagePopup .control-filter .control-list table.table.data {
    padding-bottom: 0 !important;
}

.field-section > h4 {
    font-size: 20px;
}

.report-container > ul.add-delete .item .content .edit-widget {
    right: 35px !important;
    top: 15px !important;
}

.report-container>ul .item .content .edit-widget:before {
    font-size: 16px !important;
}

.report-widget table.table.data tbody td, .report-widget table.table.data tbody th{
    padding: 5px 10px !important;
}

.form-group.span-right {
    margin-left: auto;
    margin-right: 0;
}

.form-group.span-left {
    margin-left: 0;
    margin-right: auto;
}

.settings-page.size-large {
    max-width: 100% !important;
}

.oc-boxes-editor .oc-boxes-editor__form-container {
    padding: 0 !important;
}

.oc-boxes-editor .w-10 {
    width: 3.6rem !important;
}

.oc-boxes-editor .border {
    border: 1px solid #CCC !important;
}

.oc-boxes-editor #boxes-box-form-container .form-tabless-fields {
    /* height: calc(100vh - 221px) !important; */
    padding-left: 0 !important;
    padding-right: 0 !important;
    /* overflow-y: hidden !important; */
}

.oc-boxes-editor #Form-field-Box-data-group {
    padding: 0 !important;
}

.text-xs {
    font-size: 1.25rem !important;
    line-height: 1.5rem !important;
}

.text-sm {
    font-size: 1.25rem !important;
    line-height: 1.5rem !important;
}

.text-lg {
    font-size: 2.125rem !important;
    line-height: 2.75rem;
}

.layout.control-tabs.oc-logo-transparent:not(.has-tabs), .layout-cell.oc-logo-transparent {
    opacity: 0.25;
}

.filter-group.filter-setup.dropdown {
    display: none !important;
}

.toolbar-item .size-input-text {
    float: right;
}

.relation-toolbar .control-toolbar .toolbar-item .btn-group {
    margin-right: 5px !important;
}

.relation-toolbar .control-toolbar .toolbar-item .btn-group .btn {
    margin-right: -1px !important;
}

.relation-toolbar .control-toolbar .toolbar-item .btn-group .dropdown-toggle {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.control-chart div.chart-legend table tr td {
    padding: 0 0 2px !important;
}

.report-widget .iframe-container {
    height: 100%;
    padding-bottom: 45px;
}

.control-settings-nav ul.top-level span.group-icon i {
    left: 30% !important;
}

/* TODO: For now hide controls, implement widget with time controls. */
.manage-dashboard-controls {
    display: none !important;
}

.oc-dashboard .dashboard-report-widget .dashboard-report-widget-static .static-body {
    margin: 0 !important;
    padding: 0 !important;
}

.oc-dashboard .dashboard-report-widget .dashboard-report-widget-static .static-body .widget-title {
    margin: 10px;
    font-size: 16px;
    font-weight: bold;
}

.input-group .input-group-prepend, .input-group .input-group-append {
    margin: 0;
}

.input-group button, .input-group span {
    height: 100%;
}

.input-group .select2-container {
    width: calc(100% - 50px);
}

.input-group .select2-selection {
    border-right: none;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    height: 36px;
}

.input-group.button-left select {
    border-left: 0 transparent !important;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.input-group.button-right select {
    border-right: 0 transparent !important;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

table.table.data td.list-reorder span.list-reorder-handle i {
    top: 0 !important;
}
